<nav class="navbar navbar-expand-lg navbar-dark bg-dark sticky-top">
    <div class="container-fluid">
      <a class="navbar-brand" aria-current="page" href="{{ .Site.BaseURL }}">Home</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              Website docs
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
              {{ range .Site.Menus.website }}
                <li><a class="dropdown-item" href="{{ .URL }}"> {{ .Title }} </a></li>
              {{ end }}
            </ul>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              Projects
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
              {{ range .Site.Menus.project }}
              <li><a class="dropdown-item" href="{{ .URL }}"> {{ .Title }} </a></li>
              {{ end }}
            </ul>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{{ .Site.BaseURL }}/finalproject">Final Project</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{{ .Site.BaseURL }}/about">About</a>
          </li>
        </ul>
      </div>
    </div>
</nav>